<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 

if (is_admin(array(101, 102, 103))) {
    show_title('site.png', 'Список забаненых');
    $config['newtitle'] = 'Список забаненых';

    $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `users` WHERE `users_ban`=? AND `users_timeban`>?;", array(1, SITETIME));

    if ($total > 0) {
        if ($start >= $total) {
            $start = 0;
        } 

        $queryusers = DB :: $dbh -> query("SELECT * FROM `users` WHERE `users_ban`=? AND `users_timeban`>? ORDER BY `users_timelastban` DESC LIMIT " . $start . ", " . $config['reglist'] . ";", array(1, SITETIME));

        while ($data = $queryusers -> fetch()) {
            echo '<div class="b">';
            echo '<img src="../images/img/user.gif" alt="image" /> <b><a href="../pages/anketa.php?uz=' . $data['users_login'] . '&amp;' . SID . '">' . nickname($data['users_login']) . '</a></b> (Забанен: ' . date_fixed($data['users_timelastban']) . ')</div>';

            echo '<div>До окончания бана осталось ' . formattime($data['users_timeban'] - SITETIME) . '<br />';
            echo 'Забанил: <b><a href="../pages/anketa.php?uz=' . $data['users_loginsendban'] . '&amp;' . SID . '">' . nickname($data['users_loginsendban']) . '</a></b><br />';
            echo 'Причина: ' . $data['users_reasonban'] . '<br />';
            echo '<img src="../images/img/edit.gif" alt="image" /> <a href="zaban.php?act=edit&amp;uz=' . $data['users_login'] . '&amp;' . SID . '">Разбанить</a></div>';
        } 

        page_jumpnavigation('banlist.php?', $config['banlist'], $start, $total);
        page_strnavigation('banlist.php?', $config['banlist'], $start, $total);

        echo 'Всего забанено: <b>' . $total . '</b><br /><br />';
    } else {
        show_error('Пользователей еще нет!');
    } 

    echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
} else {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>